
Redmine - Defect #21877

"ArgumentError (comparison of Time with BigDecimal failed)" in  app/models/setting.rb:229

2016-01-29 14:33 - Stefan Kuhr

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.5.2

Description

Hello,

just in the process of upgrading version 2.5.1.stable (installed on debian wheezy from wheezy backports) to 2.5.2.devel (debian

jessie) and now I get the following error in production.log when trying to access the upgraded redmine instance:

Started GET "/redmine/" for 192.168.199.1 at 2016-01-29 13:05:29 +0100

Processing by WelcomeController#index as HTML

Completed 500 Internal Server Error in 7ms

ArgumentError (comparison of Time with BigDecimal failed):

app/models/setting.rb:229:in `<='

app/models/setting.rb:229:in `check_cache'

app/controllers/application_controller.rb:98:in `user_setup'

What can I do to fix this problem? Please assign a proper category to this ticket, I dunno what the proper category for this would be.

TIA,

--

Stefan

History

#1 - 2016-01-29 14:48 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Invalid

Redmine 2.5.x is not maintained.

You should ask Debian team.

#2 - 2016-01-29 15:00 - Stefan Kuhr

Oh my, I found this: http://www.redmine.org/boards/2/topics/46006

This fixed the problem in this ticket though the next problem just waited to raise its ugly head: Defect #21878. Just wanted to add this to this ticket in

case someone runs into the same problem.

Powered by TCPDF (www.tcpdf.org)

2025-05-03 1/1

http://www.redmine.org/boards/2/topics/46006
https://www.redmine.org/issues/21878
http://www.tcpdf.org

